<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Partial Public Class Form1
    Inherits System.Windows.Forms.Form

    'Form overrides dispose to clean up the component list.
    <System.Diagnostics.DebuggerNonUserCode()> _
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)

        ' GPS.NET's interpreter classes use multithreading in order to deliver
        ' the best performance.  On Compact Framework 1.0, however, threads
        ' are not shut down automatically when an application exits.  So, to
        ' ensure that the application exits completely when we want it to, a
        ' call is made to the "Dispose" method of the interpreter.  This method
        ' will shut down any running threads so that the application can exit.

        Interpreter.Dispose()

        ' If GPS device detection is currently running, it must
        ' be cancelled.  If it is not running, calling this method has no effect.

        GeoFramework.IO.Devices.CancelDetection()

        ' In well-written .NET applications, the Dispose method will be called
        ' on any object that supports it.  Since the Satellite Viewer, Compass,
        ' and other user controls also use multithreading to repaint them, it is
        ' important on the Compact Framework to call the Dispose method in order
        ' to shut them down.

        satelliteSignalBar1.Dispose()
        satelliteViewer1.Dispose()
        compass1.Dispose()
        altimeter1.Dispose()
        speedometer1.Dispose()

        ' Continue disposing of the form itself
        If disposing AndAlso components IsNot Nothing Then
            components.Dispose()
        End If

        MyBase.Dispose(disposing)

    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer
    private mainMenu1 As System.Windows.Forms.MainMenu

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(Form1))
        Me.HdopStatusLabel = New System.Windows.Forms.Label
        Me.LocalTime = New System.Windows.Forms.Label
        Me.LocalTimeLabel = New System.Windows.Forms.Label
        Me.label1 = New System.Windows.Forms.Label
        Me.SatelliteTime = New System.Windows.Forms.Label
        Me.SatelliteTimeLabel = New System.Windows.Forms.Label
        Me.Direction = New System.Windows.Forms.Label
        Me.VdopStatusLabel = New System.Windows.Forms.Label
        Me.compass1 = New GeoFramework.Controls.Compass
        Me.satelliteSignalBar1 = New GeoFramework.Controls.SatelliteSignalBar
        Me.CurrentVdopTrackBar = New System.Windows.Forms.TrackBar
        Me.satelliteViewer1 = New GeoFramework.Controls.SatelliteViewer
        Me.label2 = New System.Windows.Forms.Label
        Me.label3 = New System.Windows.Forms.Label
        Me.PrecisionTab = New System.Windows.Forms.TabPage
        Me.label4 = New System.Windows.Forms.Label
        Me.label5 = New System.Windows.Forms.Label
        Me.label6 = New System.Windows.Forms.Label
        Me.CurrentHdopTrackBar = New System.Windows.Forms.TrackBar
        Me.DescriptionLabel = New System.Windows.Forms.Label
        Me.MaximumVdopLabel = New System.Windows.Forms.Label
        Me.MinimumVdopLabel = New System.Windows.Forms.Label
        Me.VdopLabel = New System.Windows.Forms.Label
        Me.MaximumVdopTrackBar = New System.Windows.Forms.TrackBar
        Me.MaximumHdopLabel = New System.Windows.Forms.Label
        Me.MinimumHdopLabel = New System.Windows.Forms.Label
        Me.HdopLabel = New System.Windows.Forms.Label
        Me.MaximumHdopTrackBar = New System.Windows.Forms.TrackBar
        Me.DirectionLabel = New System.Windows.Forms.Label
        Me.FixQuality = New System.Windows.Forms.Label
        Me.FixQualityLabel = New System.Windows.Forms.Label
        Me.LocalTimeTimer = New System.Windows.Forms.Timer
        Me.FixMode = New System.Windows.Forms.Label
        Me.StatusBar1 = New System.Windows.Forms.StatusBar
        Me.Bearing = New System.Windows.Forms.Label
        Me.BearingLabel = New System.Windows.Forms.Label
        Me.FixStatus = New System.Windows.Forms.Label
        Me.Speed = New System.Windows.Forms.Label
        Me.Altitude = New System.Windows.Forms.Label
        Me.Longitude = New System.Windows.Forms.Label
        Me.Latitude = New System.Windows.Forms.Label
        Me.UseAnyAvailableDeviceRadioButton = New System.Windows.Forms.RadioButton
        Me.label7 = New System.Windows.Forms.Label
        Me.DeviceColumn = New System.Windows.Forms.ColumnHeader
        Me.RawDataListBox = New System.Windows.Forms.ListBox
        Me.StopButton = New System.Windows.Forms.Button
        Me.StartButton = New System.Windows.Forms.Button
        Me.SearchButton = New System.Windows.Forms.Button
        Me.DevicesTab = New System.Windows.Forms.TabPage
        Me.UseEmulatorRadioButton = New System.Windows.Forms.RadioButton
        Me.UseDeviceRadioButton = New System.Windows.Forms.RadioButton
        Me.DevicesListView = New System.Windows.Forms.ListView
        Me.LocationColumn = New System.Windows.Forms.ColumnHeader
        Me.ProtocolColumn = New System.Windows.Forms.ColumnHeader
        Me.DeviceImages = New System.Windows.Forms.ImageList
        Me.tabControl1 = New System.Windows.Forms.TabControl
        Me.LocationTab = New System.Windows.Forms.TabPage
        Me.FixModeLabel = New System.Windows.Forms.Label
        Me.FixStatusLabel = New System.Windows.Forms.Label
        Me.SpeedLabel = New System.Windows.Forms.Label
        Me.AltitudeLabel = New System.Windows.Forms.Label
        Me.LongitudeLabel = New System.Windows.Forms.Label
        Me.LatitudeLabel = New System.Windows.Forms.Label
        Me.SatellitesTab = New System.Windows.Forms.TabPage
        Me.speedometer1 = New GeoFramework.Controls.Speedometer
        Me.altimeter1 = New GeoFramework.Controls.Altimeter
        Me.Interpreter = New GeoFramework.Gps.Nmea.NmeaInterpreter
        Me.PrecisionTab.SuspendLayout()
        Me.DevicesTab.SuspendLayout()
        Me.tabControl1.SuspendLayout()
        Me.LocationTab.SuspendLayout()
        Me.SatellitesTab.SuspendLayout()
        Me.SuspendLayout()
        '
        'HdopStatusLabel
        '
        Me.HdopStatusLabel.Location = New System.Drawing.Point(7, 187)
        Me.HdopStatusLabel.Name = "HdopStatusLabel"
        Me.HdopStatusLabel.Size = New System.Drawing.Size(226, 20)
        Me.HdopStatusLabel.Text = "Position readings are being ignored."
        '
        'LocalTime
        '
        Me.LocalTime.Location = New System.Drawing.Point(99, 204)
        Me.LocalTime.Name = "LocalTime"
        Me.LocalTime.Size = New System.Drawing.Size(134, 20)
        Me.LocalTime.Text = "..."
        '
        'LocalTimeLabel
        '
        Me.LocalTimeLabel.Location = New System.Drawing.Point(8, 204)
        Me.LocalTimeLabel.Name = "LocalTimeLabel"
        Me.LocalTimeLabel.Size = New System.Drawing.Size(85, 20)
        Me.LocalTimeLabel.Text = "Local Time:"
        '
        'label1
        '
        Me.label1.Location = New System.Drawing.Point(201, 163)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(23, 20)
        Me.label1.Text = "50"
        Me.label1.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'SatelliteTime
        '
        Me.SatelliteTime.Location = New System.Drawing.Point(99, 183)
        Me.SatelliteTime.Name = "SatelliteTime"
        Me.SatelliteTime.Size = New System.Drawing.Size(134, 20)
        Me.SatelliteTime.Text = "..."
        '
        'SatelliteTimeLabel
        '
        Me.SatelliteTimeLabel.Location = New System.Drawing.Point(8, 183)
        Me.SatelliteTimeLabel.Name = "SatelliteTimeLabel"
        Me.SatelliteTimeLabel.Size = New System.Drawing.Size(85, 20)
        Me.SatelliteTimeLabel.Text = "Satellite Time:"
        '
        'Direction
        '
        Me.Direction.Location = New System.Drawing.Point(99, 103)
        Me.Direction.Name = "Direction"
        Me.Direction.Size = New System.Drawing.Size(134, 20)
        Me.Direction.Text = "..."
        '
        'VdopStatusLabel
        '
        Me.VdopStatusLabel.Location = New System.Drawing.Point(8, 207)
        Me.VdopStatusLabel.Name = "VdopStatusLabel"
        Me.VdopStatusLabel.Size = New System.Drawing.Size(226, 20)
        Me.VdopStatusLabel.Text = "Altitude readings are being ignored."
        '
        'compass1
        '
        Me.compass1.AngleLabelColor = System.Drawing.Color.Black
        Me.compass1.AngleLabelFont = New System.Drawing.Font("Tahoma", 6.0!, System.Drawing.FontStyle.Regular)
        Me.compass1.AngleLabelInterval = New GeoFramework.Angle(0)
        Me.compass1.DirectionLabelColor = System.Drawing.Color.Black
        Me.compass1.DirectionLabelFont = New System.Drawing.Font("Tahoma", 8.0!, System.Drawing.FontStyle.Bold)
        Me.compass1.DirectionLabelInterval = New GeoFramework.Angle(45)
        Me.compass1.DirectionTickColor = System.Drawing.Color.Black
        Me.compass1.Height = 111
        Me.compass1.Location = New System.Drawing.Point(7, 7)
        Me.compass1.MajorTickColor = System.Drawing.Color.Black
        Me.compass1.MajorTickInterval = New GeoFramework.Angle(15)
        Me.compass1.MinorTickColor = System.Drawing.Color.Black
        Me.compass1.MinorTickInterval = New GeoFramework.Angle(5)
        Me.compass1.Name = "compass1"
        Me.compass1.NorthNeedleFillColor = System.Drawing.Color.Red
        Me.compass1.NorthNeedleOutlineColor = System.Drawing.Color.Black
        Me.compass1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise
        Me.compass1.Size = New System.Drawing.Size(111, 111)
        Me.compass1.SouthNeedleFillColor = System.Drawing.Color.White
        Me.compass1.SouthNeedleOutlineColor = System.Drawing.Color.Black
        Me.compass1.TabIndex = 2
        Me.compass1.Text = "compass1"
        Me.compass1.Value = New GeoFramework.Azimuth(0)
        Me.compass1.Width = 111
        '
        'satelliteSignalBar1
        '
        Me.satelliteSignalBar1.ExcellentSignalFillColor = System.Drawing.Color.LightGreen
        Me.satelliteSignalBar1.ExcellentSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.FixColor = System.Drawing.Color.LimeGreen
        Me.satelliteSignalBar1.GoodSignalFillColor = System.Drawing.Color.Green
        Me.satelliteSignalBar1.GoodSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.Height = 33
        Me.satelliteSignalBar1.Location = New System.Drawing.Point(122, 214)
        Me.satelliteSignalBar1.ModerateSignalFillColor = System.Drawing.Color.Orange
        Me.satelliteSignalBar1.ModerateSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.Name = "satelliteSignalBar1"
        Me.satelliteSignalBar1.NoSignalFillColor = System.Drawing.Color.Transparent
        Me.satelliteSignalBar1.NoSignalOutlineColor = System.Drawing.Color.Transparent
        Me.satelliteSignalBar1.PoorSignalFillColor = System.Drawing.Color.Red
        Me.satelliteSignalBar1.PoorSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.PseudorandomNumberColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.PseudorandomNumberFont = New System.Drawing.Font("Tahoma", 8.0!, System.Drawing.FontStyle.Regular)
        Me.satelliteSignalBar1.SignalStrengthLabelColor = System.Drawing.Color.Black
        Me.satelliteSignalBar1.SignalStrengthLabelFont = New System.Drawing.Font("Tahoma", 6.0!, System.Drawing.FontStyle.Regular)
        Me.satelliteSignalBar1.Size = New System.Drawing.Size(113, 33)
        Me.satelliteSignalBar1.TabIndex = 0
        Me.satelliteSignalBar1.Text = "satelliteSignalBar1"
        Me.satelliteSignalBar1.Width = 113
        '
        'CurrentVdopTrackBar
        '
        Me.CurrentVdopTrackBar.Enabled = False
        Me.CurrentVdopTrackBar.Location = New System.Drawing.Point(123, 133)
        Me.CurrentVdopTrackBar.Maximum = 50
        Me.CurrentVdopTrackBar.Name = "CurrentVdopTrackBar"
        Me.CurrentVdopTrackBar.Size = New System.Drawing.Size(100, 45)
        Me.CurrentVdopTrackBar.SmallChange = 5
        Me.CurrentVdopTrackBar.TabIndex = 5
        Me.CurrentVdopTrackBar.TickFrequency = 5
        Me.CurrentVdopTrackBar.Value = 50
        '
        'satelliteViewer1
        '
        Me.satelliteViewer1.DirectionLabelColor = System.Drawing.Color.Black
        Me.satelliteViewer1.DirectionLabelFont = New System.Drawing.Font("Tahoma", 7.0!, System.Drawing.FontStyle.Regular)
        Me.satelliteViewer1.DirectionLabelInterval = New GeoFramework.Angle(45)
        Me.satelliteViewer1.ExcellentSignalFillColor = System.Drawing.Color.LightGreen
        Me.satelliteViewer1.ExcellentSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteViewer1.FixColor = System.Drawing.Color.LimeGreen
        Me.satelliteViewer1.GoodSignalFillColor = System.Drawing.Color.Green
        Me.satelliteViewer1.GoodSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteViewer1.Height = 91
        Me.satelliteViewer1.Location = New System.Drawing.Point(122, 124)
        Me.satelliteViewer1.MajorTickColor = System.Drawing.Color.Black
        Me.satelliteViewer1.MajorTickInterval = New GeoFramework.Angle(15)
        Me.satelliteViewer1.MinorTickColor = System.Drawing.Color.Black
        Me.satelliteViewer1.MinorTickInterval = New GeoFramework.Angle(5)
        Me.satelliteViewer1.ModerateSignalFillColor = System.Drawing.Color.Orange
        Me.satelliteViewer1.ModerateSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteViewer1.Name = "satelliteViewer1"
        Me.satelliteViewer1.NoSignalFillColor = System.Drawing.Color.Transparent
        Me.satelliteViewer1.NoSignalOutlineColor = System.Drawing.Color.Transparent
        Me.satelliteViewer1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise
        Me.satelliteViewer1.PoorSignalFillColor = System.Drawing.Color.Red
        Me.satelliteViewer1.PoorSignalOutlineColor = System.Drawing.Color.Black
        Me.satelliteViewer1.PseudorandomNumberColor = System.Drawing.Color.Black
        Me.satelliteViewer1.PseudorandomNumberFont = New System.Drawing.Font("Tahoma", 7.0!, System.Drawing.FontStyle.Bold)
        Me.satelliteViewer1.RotationOrientation = GeoFramework.Controls.RotationOrientation.TrackUp
        Me.satelliteViewer1.Size = New System.Drawing.Size(113, 91)
        Me.satelliteViewer1.TabIndex = 1
        Me.satelliteViewer1.Text = "satelliteViewer1"
        Me.satelliteViewer1.Width = 113
        '
        'label2
        '
        Me.label2.Location = New System.Drawing.Point(123, 163)
        Me.label2.Name = "label2"
        Me.label2.Size = New System.Drawing.Size(23, 20)
        Me.label2.Text = "1"
        Me.label2.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'label3
        '
        Me.label3.Location = New System.Drawing.Point(123, 119)
        Me.label3.Name = "label3"
        Me.label3.Size = New System.Drawing.Size(101, 20)
        Me.label3.Text = "Current VDOP:"
        '
        'PrecisionTab
        '
        Me.PrecisionTab.Controls.Add(Me.VdopStatusLabel)
        Me.PrecisionTab.Controls.Add(Me.HdopStatusLabel)
        Me.PrecisionTab.Controls.Add(Me.label1)
        Me.PrecisionTab.Controls.Add(Me.label2)
        Me.PrecisionTab.Controls.Add(Me.label3)
        Me.PrecisionTab.Controls.Add(Me.CurrentVdopTrackBar)
        Me.PrecisionTab.Controls.Add(Me.label4)
        Me.PrecisionTab.Controls.Add(Me.label5)
        Me.PrecisionTab.Controls.Add(Me.label6)
        Me.PrecisionTab.Controls.Add(Me.CurrentHdopTrackBar)
        Me.PrecisionTab.Controls.Add(Me.DescriptionLabel)
        Me.PrecisionTab.Controls.Add(Me.MaximumVdopLabel)
        Me.PrecisionTab.Controls.Add(Me.MinimumVdopLabel)
        Me.PrecisionTab.Controls.Add(Me.VdopLabel)
        Me.PrecisionTab.Controls.Add(Me.MaximumVdopTrackBar)
        Me.PrecisionTab.Controls.Add(Me.MaximumHdopLabel)
        Me.PrecisionTab.Controls.Add(Me.MinimumHdopLabel)
        Me.PrecisionTab.Controls.Add(Me.HdopLabel)
        Me.PrecisionTab.Controls.Add(Me.MaximumHdopTrackBar)
        Me.PrecisionTab.Location = New System.Drawing.Point(0, 0)
        Me.PrecisionTab.Name = "PrecisionTab"
        Me.PrecisionTab.Size = New System.Drawing.Size(232, 248)
        Me.PrecisionTab.Text = "Precision"
        '
        'label4
        '
        Me.label4.Location = New System.Drawing.Point(85, 163)
        Me.label4.Name = "label4"
        Me.label4.Size = New System.Drawing.Size(23, 20)
        Me.label4.Text = "50"
        Me.label4.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'label5
        '
        Me.label5.Location = New System.Drawing.Point(7, 163)
        Me.label5.Name = "label5"
        Me.label5.Size = New System.Drawing.Size(23, 20)
        Me.label5.Text = "1"
        Me.label5.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'label6
        '
        Me.label6.Location = New System.Drawing.Point(7, 119)
        Me.label6.Name = "label6"
        Me.label6.Size = New System.Drawing.Size(101, 20)
        Me.label6.Text = "Current HDOP:"
        '
        'CurrentHdopTrackBar
        '
        Me.CurrentHdopTrackBar.Enabled = False
        Me.CurrentHdopTrackBar.Location = New System.Drawing.Point(7, 133)
        Me.CurrentHdopTrackBar.Maximum = 50
        Me.CurrentHdopTrackBar.Name = "CurrentHdopTrackBar"
        Me.CurrentHdopTrackBar.Size = New System.Drawing.Size(100, 45)
        Me.CurrentHdopTrackBar.SmallChange = 5
        Me.CurrentHdopTrackBar.TabIndex = 9
        Me.CurrentHdopTrackBar.TickFrequency = 5
        Me.CurrentHdopTrackBar.Value = 50
        '
        'DescriptionLabel
        '
        Me.DescriptionLabel.Location = New System.Drawing.Point(9, 4)
        Me.DescriptionLabel.Name = "DescriptionLabel"
        Me.DescriptionLabel.Size = New System.Drawing.Size(216, 33)
        Me.DescriptionLabel.Text = "Adjust the sliders to enforce higher or lower precision.  "
        '
        'MaximumVdopLabel
        '
        Me.MaximumVdopLabel.Location = New System.Drawing.Point(201, 86)
        Me.MaximumVdopLabel.Name = "MaximumVdopLabel"
        Me.MaximumVdopLabel.Size = New System.Drawing.Size(23, 20)
        Me.MaximumVdopLabel.Text = "50"
        Me.MaximumVdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'MinimumVdopLabel
        '
        Me.MinimumVdopLabel.Location = New System.Drawing.Point(123, 86)
        Me.MinimumVdopLabel.Name = "MinimumVdopLabel"
        Me.MinimumVdopLabel.Size = New System.Drawing.Size(23, 20)
        Me.MinimumVdopLabel.Text = "1"
        Me.MinimumVdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'VdopLabel
        '
        Me.VdopLabel.Location = New System.Drawing.Point(123, 42)
        Me.VdopLabel.Name = "VdopLabel"
        Me.VdopLabel.Size = New System.Drawing.Size(101, 20)
        Me.VdopLabel.Text = "Maximum VDOP:"
        '
        'MaximumVdopTrackBar
        '
        Me.MaximumVdopTrackBar.Location = New System.Drawing.Point(123, 56)
        Me.MaximumVdopTrackBar.Maximum = 50
        Me.MaximumVdopTrackBar.Name = "MaximumVdopTrackBar"
        Me.MaximumVdopTrackBar.Size = New System.Drawing.Size(100, 45)
        Me.MaximumVdopTrackBar.SmallChange = 5
        Me.MaximumVdopTrackBar.TabIndex = 14
        Me.MaximumVdopTrackBar.TickFrequency = 5
        Me.MaximumVdopTrackBar.Value = 50
        '
        'MaximumHdopLabel
        '
        Me.MaximumHdopLabel.Location = New System.Drawing.Point(85, 86)
        Me.MaximumHdopLabel.Name = "MaximumHdopLabel"
        Me.MaximumHdopLabel.Size = New System.Drawing.Size(23, 20)
        Me.MaximumHdopLabel.Text = "50"
        Me.MaximumHdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'MinimumHdopLabel
        '
        Me.MinimumHdopLabel.Location = New System.Drawing.Point(7, 86)
        Me.MinimumHdopLabel.Name = "MinimumHdopLabel"
        Me.MinimumHdopLabel.Size = New System.Drawing.Size(23, 20)
        Me.MinimumHdopLabel.Text = "1"
        Me.MinimumHdopLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'HdopLabel
        '
        Me.HdopLabel.Location = New System.Drawing.Point(7, 42)
        Me.HdopLabel.Name = "HdopLabel"
        Me.HdopLabel.Size = New System.Drawing.Size(101, 20)
        Me.HdopLabel.Text = "Maximum HDOP:"
        '
        'MaximumHdopTrackBar
        '
        Me.MaximumHdopTrackBar.Location = New System.Drawing.Point(7, 56)
        Me.MaximumHdopTrackBar.Maximum = 50
        Me.MaximumHdopTrackBar.Name = "MaximumHdopTrackBar"
        Me.MaximumHdopTrackBar.Size = New System.Drawing.Size(100, 45)
        Me.MaximumHdopTrackBar.SmallChange = 5
        Me.MaximumHdopTrackBar.TabIndex = 18
        Me.MaximumHdopTrackBar.TickFrequency = 5
        Me.MaximumHdopTrackBar.Value = 50
        '
        'DirectionLabel
        '
        Me.DirectionLabel.Location = New System.Drawing.Point(8, 104)
        Me.DirectionLabel.Name = "DirectionLabel"
        Me.DirectionLabel.Size = New System.Drawing.Size(85, 20)
        Me.DirectionLabel.Text = "Direction:"
        '
        'FixQuality
        '
        Me.FixQuality.Location = New System.Drawing.Point(99, 163)
        Me.FixQuality.Name = "FixQuality"
        Me.FixQuality.Size = New System.Drawing.Size(134, 20)
        Me.FixQuality.Text = "..."
        '
        'FixQualityLabel
        '
        Me.FixQualityLabel.Location = New System.Drawing.Point(8, 163)
        Me.FixQualityLabel.Name = "FixQualityLabel"
        Me.FixQualityLabel.Size = New System.Drawing.Size(85, 20)
        Me.FixQualityLabel.Text = "Fix Quality:"
        '
        'LocalTimeTimer
        '
        Me.LocalTimeTimer.Enabled = True
        Me.LocalTimeTimer.Interval = 500
        '
        'FixMode
        '
        Me.FixMode.Location = New System.Drawing.Point(99, 143)
        Me.FixMode.Name = "FixMode"
        Me.FixMode.Size = New System.Drawing.Size(134, 20)
        Me.FixMode.Text = "..."
        '
        'StatusBar1
        '
        Me.StatusBar1.Location = New System.Drawing.Point(0, 273)
        Me.StatusBar1.Name = "StatusBar1"
        Me.StatusBar1.Size = New System.Drawing.Size(240, 22)
        Me.StatusBar1.Text = "Ready."
        '
        'Bearing
        '
        Me.Bearing.Location = New System.Drawing.Point(99, 83)
        Me.Bearing.Name = "Bearing"
        Me.Bearing.Size = New System.Drawing.Size(134, 20)
        Me.Bearing.Text = "..."
        '
        'BearingLabel
        '
        Me.BearingLabel.Location = New System.Drawing.Point(8, 84)
        Me.BearingLabel.Name = "BearingLabel"
        Me.BearingLabel.Size = New System.Drawing.Size(85, 20)
        Me.BearingLabel.Text = "Bearing:"
        '
        'FixStatus
        '
        Me.FixStatus.Location = New System.Drawing.Point(99, 123)
        Me.FixStatus.Name = "FixStatus"
        Me.FixStatus.Size = New System.Drawing.Size(134, 20)
        Me.FixStatus.Text = "..."
        '
        'Speed
        '
        Me.Speed.Location = New System.Drawing.Point(99, 63)
        Me.Speed.Name = "Speed"
        Me.Speed.Size = New System.Drawing.Size(134, 20)
        Me.Speed.Text = "..."
        '
        'Altitude
        '
        Me.Altitude.Location = New System.Drawing.Point(99, 44)
        Me.Altitude.Name = "Altitude"
        Me.Altitude.Size = New System.Drawing.Size(134, 20)
        Me.Altitude.Text = "..."
        '
        'Longitude
        '
        Me.Longitude.Location = New System.Drawing.Point(99, 24)
        Me.Longitude.Name = "Longitude"
        Me.Longitude.Size = New System.Drawing.Size(134, 20)
        Me.Longitude.Text = "..."
        '
        'Latitude
        '
        Me.Latitude.Location = New System.Drawing.Point(99, 4)
        Me.Latitude.Name = "Latitude"
        Me.Latitude.Size = New System.Drawing.Size(134, 20)
        Me.Latitude.Text = "..."
        '
        'UseAnyAvailableDeviceRadioButton
        '
        Me.UseAnyAvailableDeviceRadioButton.Checked = True
        Me.UseAnyAvailableDeviceRadioButton.Location = New System.Drawing.Point(7, 26)
        Me.UseAnyAvailableDeviceRadioButton.Name = "UseAnyAvailableDeviceRadioButton"
        Me.UseAnyAvailableDeviceRadioButton.Size = New System.Drawing.Size(226, 20)
        Me.UseAnyAvailableDeviceRadioButton.TabIndex = 11
        Me.UseAnyAvailableDeviceRadioButton.TabStop = False
        Me.UseAnyAvailableDeviceRadioButton.Text = "Use any available GPS device."
        '
        'label7
        '
        Me.label7.Location = New System.Drawing.Point(7, 164)
        Me.label7.Name = "label7"
        Me.label7.Size = New System.Drawing.Size(136, 13)
        Me.label7.Text = "Raw Data from Device:"
        '
        'DeviceColumn
        '
        Me.DeviceColumn.Text = "Device"
        Me.DeviceColumn.Width = 76
        '
        'RawDataListBox
        '
        Me.RawDataListBox.Font = New System.Drawing.Font("Tahoma", 7.0!, System.Drawing.FontStyle.Regular)
        Me.RawDataListBox.Location = New System.Drawing.Point(7, 180)
        Me.RawDataListBox.Name = "RawDataListBox"
        Me.RawDataListBox.Size = New System.Drawing.Size(226, 68)
        Me.RawDataListBox.TabIndex = 9
        '
        'StopButton
        '
        Me.StopButton.Enabled = False
        Me.StopButton.Location = New System.Drawing.Point(170, 133)
        Me.StopButton.Name = "StopButton"
        Me.StopButton.Size = New System.Drawing.Size(63, 20)
        Me.StopButton.TabIndex = 7
        Me.StopButton.Text = "Stop"
        '
        'StartButton
        '
        Me.StartButton.Location = New System.Drawing.Point(98, 133)
        Me.StartButton.Name = "StartButton"
        Me.StartButton.Size = New System.Drawing.Size(66, 20)
        Me.StartButton.TabIndex = 6
        Me.StartButton.Text = "Start"
        '
        'SearchButton
        '
        Me.SearchButton.Location = New System.Drawing.Point(18, 133)
        Me.SearchButton.Name = "SearchButton"
        Me.SearchButton.Size = New System.Drawing.Size(74, 20)
        Me.SearchButton.TabIndex = 5
        Me.SearchButton.Text = "Search"
        '
        'DevicesTab
        '
        Me.DevicesTab.Controls.Add(Me.UseAnyAvailableDeviceRadioButton)
        Me.DevicesTab.Controls.Add(Me.label7)
        Me.DevicesTab.Controls.Add(Me.RawDataListBox)
        Me.DevicesTab.Controls.Add(Me.StopButton)
        Me.DevicesTab.Controls.Add(Me.StartButton)
        Me.DevicesTab.Controls.Add(Me.SearchButton)
        Me.DevicesTab.Controls.Add(Me.UseEmulatorRadioButton)
        Me.DevicesTab.Controls.Add(Me.UseDeviceRadioButton)
        Me.DevicesTab.Controls.Add(Me.DevicesListView)
        Me.DevicesTab.Location = New System.Drawing.Point(0, 0)
        Me.DevicesTab.Name = "DevicesTab"
        Me.DevicesTab.Size = New System.Drawing.Size(240, 251)
        Me.DevicesTab.Text = "Devices"
        '
        'UseEmulatorRadioButton
        '
        Me.UseEmulatorRadioButton.Location = New System.Drawing.Point(7, 7)
        Me.UseEmulatorRadioButton.Name = "UseEmulatorRadioButton"
        Me.UseEmulatorRadioButton.Size = New System.Drawing.Size(204, 20)
        Me.UseEmulatorRadioButton.TabIndex = 0
        Me.UseEmulatorRadioButton.TabStop = False
        Me.UseEmulatorRadioButton.Text = "Use a GPS device emulator."
        '
        'UseDeviceRadioButton
        '
        Me.UseDeviceRadioButton.Location = New System.Drawing.Point(7, 45)
        Me.UseDeviceRadioButton.Name = "UseDeviceRadioButton"
        Me.UseDeviceRadioButton.Size = New System.Drawing.Size(204, 20)
        Me.UseDeviceRadioButton.TabIndex = 1
        Me.UseDeviceRadioButton.TabStop = False
        Me.UseDeviceRadioButton.Text = "Use a specific GPS device:"
        '
        'DevicesListView
        '
        Me.DevicesListView.Columns.Add(Me.DeviceColumn)
        Me.DevicesListView.Columns.Add(Me.LocationColumn)
        Me.DevicesListView.Columns.Add(Me.ProtocolColumn)
        Me.DevicesListView.FullRowSelect = True
        Me.DevicesListView.LargeImageList = Me.DeviceImages
        Me.DevicesListView.Location = New System.Drawing.Point(18, 72)
        Me.DevicesListView.Name = "DevicesListView"
        Me.DevicesListView.Size = New System.Drawing.Size(215, 55)
        Me.DevicesListView.SmallImageList = Me.DeviceImages
        Me.DevicesListView.TabIndex = 4
        Me.DevicesListView.View = System.Windows.Forms.View.SmallIcon
        '
        'LocationColumn
        '
        Me.LocationColumn.Text = "Location"
        Me.LocationColumn.Width = 68
        '
        'ProtocolColumn
        '
        Me.ProtocolColumn.Text = "Protocol"
        Me.ProtocolColumn.Width = 68
        '
        'DeviceImages
        '
        Me.DeviceImages.ImageSize = New System.Drawing.Size(32, 32)
        Me.DeviceImages.Images.Clear()
        Me.DeviceImages.Images.Add(CType(resources.GetObject("resource"), System.Drawing.Image))
        '
        'tabControl1
        '
        Me.tabControl1.Controls.Add(Me.DevicesTab)
        Me.tabControl1.Controls.Add(Me.LocationTab)
        Me.tabControl1.Controls.Add(Me.SatellitesTab)
        Me.tabControl1.Controls.Add(Me.PrecisionTab)
        Me.tabControl1.Location = New System.Drawing.Point(0, 0)
        Me.tabControl1.Name = "tabControl1"
        Me.tabControl1.SelectedIndex = 0
        Me.tabControl1.Size = New System.Drawing.Size(240, 274)
        Me.tabControl1.TabIndex = 1
        '
        'LocationTab
        '
        Me.LocationTab.Controls.Add(Me.LocalTime)
        Me.LocationTab.Controls.Add(Me.LocalTimeLabel)
        Me.LocationTab.Controls.Add(Me.SatelliteTime)
        Me.LocationTab.Controls.Add(Me.SatelliteTimeLabel)
        Me.LocationTab.Controls.Add(Me.Direction)
        Me.LocationTab.Controls.Add(Me.DirectionLabel)
        Me.LocationTab.Controls.Add(Me.FixQuality)
        Me.LocationTab.Controls.Add(Me.FixQualityLabel)
        Me.LocationTab.Controls.Add(Me.FixMode)
        Me.LocationTab.Controls.Add(Me.Bearing)
        Me.LocationTab.Controls.Add(Me.BearingLabel)
        Me.LocationTab.Controls.Add(Me.FixStatus)
        Me.LocationTab.Controls.Add(Me.Speed)
        Me.LocationTab.Controls.Add(Me.Altitude)
        Me.LocationTab.Controls.Add(Me.Longitude)
        Me.LocationTab.Controls.Add(Me.Latitude)
        Me.LocationTab.Controls.Add(Me.FixModeLabel)
        Me.LocationTab.Controls.Add(Me.FixStatusLabel)
        Me.LocationTab.Controls.Add(Me.SpeedLabel)
        Me.LocationTab.Controls.Add(Me.AltitudeLabel)
        Me.LocationTab.Controls.Add(Me.LongitudeLabel)
        Me.LocationTab.Controls.Add(Me.LatitudeLabel)
        Me.LocationTab.Location = New System.Drawing.Point(0, 0)
        Me.LocationTab.Name = "LocationTab"
        Me.LocationTab.Size = New System.Drawing.Size(232, 248)
        Me.LocationTab.Text = "Location"
        '
        'FixModeLabel
        '
        Me.FixModeLabel.Location = New System.Drawing.Point(8, 144)
        Me.FixModeLabel.Name = "FixModeLabel"
        Me.FixModeLabel.Size = New System.Drawing.Size(85, 20)
        Me.FixModeLabel.Text = "Fix Mode:"
        '
        'FixStatusLabel
        '
        Me.FixStatusLabel.Location = New System.Drawing.Point(8, 124)
        Me.FixStatusLabel.Name = "FixStatusLabel"
        Me.FixStatusLabel.Size = New System.Drawing.Size(85, 20)
        Me.FixStatusLabel.Text = "Fix Status:"
        '
        'SpeedLabel
        '
        Me.SpeedLabel.Location = New System.Drawing.Point(8, 64)
        Me.SpeedLabel.Name = "SpeedLabel"
        Me.SpeedLabel.Size = New System.Drawing.Size(85, 20)
        Me.SpeedLabel.Text = "Speed:"
        '
        'AltitudeLabel
        '
        Me.AltitudeLabel.Location = New System.Drawing.Point(8, 44)
        Me.AltitudeLabel.Name = "AltitudeLabel"
        Me.AltitudeLabel.Size = New System.Drawing.Size(85, 20)
        Me.AltitudeLabel.Text = "Altitude:"
        '
        'LongitudeLabel
        '
        Me.LongitudeLabel.Location = New System.Drawing.Point(8, 24)
        Me.LongitudeLabel.Name = "LongitudeLabel"
        Me.LongitudeLabel.Size = New System.Drawing.Size(85, 20)
        Me.LongitudeLabel.Text = "Longitude:"
        '
        'LatitudeLabel
        '
        Me.LatitudeLabel.Location = New System.Drawing.Point(8, 4)
        Me.LatitudeLabel.Name = "LatitudeLabel"
        Me.LatitudeLabel.Size = New System.Drawing.Size(85, 20)
        Me.LatitudeLabel.Text = "Latitude:"
        '
        'SatellitesTab
        '
        Me.SatellitesTab.Controls.Add(Me.speedometer1)
        Me.SatellitesTab.Controls.Add(Me.altimeter1)
        Me.SatellitesTab.Controls.Add(Me.compass1)
        Me.SatellitesTab.Controls.Add(Me.satelliteSignalBar1)
        Me.SatellitesTab.Controls.Add(Me.satelliteViewer1)
        Me.SatellitesTab.Location = New System.Drawing.Point(0, 0)
        Me.SatellitesTab.Name = "SatellitesTab"
        Me.SatellitesTab.Size = New System.Drawing.Size(232, 248)
        Me.SatellitesTab.Text = "Satellites"
        '
        'speedometer1
        '
        Me.speedometer1.Height = 111
        Me.speedometer1.Location = New System.Drawing.Point(7, 124)
        Me.speedometer1.MajorTickColor = System.Drawing.Color.Black
        Me.speedometer1.MaximumAngle = New GeoFramework.Angle(320)
        Me.speedometer1.MinimumAngle = New GeoFramework.Angle(40)
        Me.speedometer1.MinorTickColor = System.Drawing.Color.Black
        Me.speedometer1.Name = "speedometer1"
        Me.speedometer1.NeedleFillColor = System.Drawing.Color.Red
        Me.speedometer1.NeedleOutlineColor = System.Drawing.Color.Black
        Me.speedometer1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise
        Me.speedometer1.Size = New System.Drawing.Size(111, 111)
        Me.speedometer1.SpeedLabelColor = System.Drawing.Color.Black
        Me.speedometer1.SpeedLabelFont = New System.Drawing.Font("Tahoma", 7.0!, System.Drawing.FontStyle.Regular)
        Me.speedometer1.TabIndex = 4
        Me.speedometer1.Text = "speedometer1"
        Me.speedometer1.Width = 111
        '
        'altimeter1
        '
        Me.altimeter1.AltitudeLabelColor = System.Drawing.Color.Black
        Me.altimeter1.AltitudeLabelFont = New System.Drawing.Font("Tahoma", 8.0!, System.Drawing.FontStyle.Bold)
        Me.altimeter1.Height = 111
        Me.altimeter1.HundredsNeedleFillColor = System.Drawing.Color.Red
        Me.altimeter1.HundredsNeedleOutlineColor = System.Drawing.Color.Black
        Me.altimeter1.Location = New System.Drawing.Point(124, 7)
        Me.altimeter1.MajorTickColor = System.Drawing.Color.Black
        Me.altimeter1.MinorTickColor = System.Drawing.Color.Black
        Me.altimeter1.Name = "altimeter1"
        Me.altimeter1.Orientation = GeoFramework.PolarCoordinateOrientation.Clockwise
        Me.altimeter1.Size = New System.Drawing.Size(111, 111)
        Me.altimeter1.TabIndex = 3
        Me.altimeter1.TensOfThousandsNeedleFillColor = System.Drawing.Color.Red
        Me.altimeter1.TensOfThousandsNeedleOutlineColor = System.Drawing.Color.Black
        Me.altimeter1.Text = "altimeter1"
        Me.altimeter1.ThousandsNeedleFillColor = System.Drawing.Color.Red
        Me.altimeter1.ThousandsNeedleOutlineColor = System.Drawing.Color.Black
        Me.altimeter1.ValueColor = System.Drawing.Color.Black
        Me.altimeter1.ValueFont = New System.Drawing.Font("Tahoma", 9.0!, System.Drawing.FontStyle.Regular)
        Me.altimeter1.Width = 111
        '
        'Interpreter
        '
        Me.Interpreter.ReadTimeout = System.TimeSpan.Parse("00:00:05")
        Me.Interpreter.WriteTimeout = System.TimeSpan.Parse("00:00:05")
        '
        'Form1
        '
        Me.AutoScaleDimensions = New System.Drawing.SizeF(96.0!, 96.0!)
        Me.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi
        Me.ClientSize = New System.Drawing.Size(240, 295)
        Me.Controls.Add(Me.StatusBar1)
        Me.Controls.Add(Me.tabControl1)
        Me.MinimizeBox = False
        Me.Name = "Form1"
        Me.Text = "GPS.NET Example"
        Me.PrecisionTab.ResumeLayout(False)
        Me.DevicesTab.ResumeLayout(False)
        Me.tabControl1.ResumeLayout(False)
        Me.LocationTab.ResumeLayout(False)
        Me.SatellitesTab.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub
    Friend WithEvents HdopStatusLabel As System.Windows.Forms.Label
    Friend WithEvents LocalTime As System.Windows.Forms.Label
    Friend WithEvents LocalTimeLabel As System.Windows.Forms.Label
    Friend WithEvents label1 As System.Windows.Forms.Label
    Friend WithEvents SatelliteTime As System.Windows.Forms.Label
    Friend WithEvents SatelliteTimeLabel As System.Windows.Forms.Label
    Friend WithEvents Direction As System.Windows.Forms.Label
    Friend WithEvents VdopStatusLabel As System.Windows.Forms.Label
    Friend WithEvents compass1 As GeoFramework.Controls.Compass
    Friend WithEvents satelliteSignalBar1 As GeoFramework.Controls.SatelliteSignalBar
    Friend WithEvents CurrentVdopTrackBar As System.Windows.Forms.TrackBar
    Friend WithEvents satelliteViewer1 As GeoFramework.Controls.SatelliteViewer
    Friend WithEvents label2 As System.Windows.Forms.Label
    Friend WithEvents label3 As System.Windows.Forms.Label
    Friend WithEvents PrecisionTab As System.Windows.Forms.TabPage
    Friend WithEvents label4 As System.Windows.Forms.Label
    Friend WithEvents label5 As System.Windows.Forms.Label
    Friend WithEvents label6 As System.Windows.Forms.Label
    Friend WithEvents CurrentHdopTrackBar As System.Windows.Forms.TrackBar
    Friend WithEvents DescriptionLabel As System.Windows.Forms.Label
    Friend WithEvents MaximumVdopLabel As System.Windows.Forms.Label
    Friend WithEvents MinimumVdopLabel As System.Windows.Forms.Label
    Friend WithEvents VdopLabel As System.Windows.Forms.Label
    Friend WithEvents MaximumVdopTrackBar As System.Windows.Forms.TrackBar
    Friend WithEvents MaximumHdopLabel As System.Windows.Forms.Label
    Friend WithEvents MinimumHdopLabel As System.Windows.Forms.Label
    Friend WithEvents HdopLabel As System.Windows.Forms.Label
    Friend WithEvents MaximumHdopTrackBar As System.Windows.Forms.TrackBar
    Friend WithEvents DirectionLabel As System.Windows.Forms.Label
    Friend WithEvents FixQuality As System.Windows.Forms.Label
    Friend WithEvents FixQualityLabel As System.Windows.Forms.Label
    Friend WithEvents LocalTimeTimer As System.Windows.Forms.Timer
    Friend WithEvents FixMode As System.Windows.Forms.Label
    Friend WithEvents StatusBar1 As System.Windows.Forms.StatusBar
    Friend WithEvents Bearing As System.Windows.Forms.Label
    Friend WithEvents BearingLabel As System.Windows.Forms.Label
    Friend WithEvents FixStatus As System.Windows.Forms.Label
    Friend WithEvents Speed As System.Windows.Forms.Label
    Friend WithEvents Altitude As System.Windows.Forms.Label
    Friend WithEvents Longitude As System.Windows.Forms.Label
    Friend WithEvents Latitude As System.Windows.Forms.Label
    Friend WithEvents UseAnyAvailableDeviceRadioButton As System.Windows.Forms.RadioButton
    Friend WithEvents label7 As System.Windows.Forms.Label
    Friend WithEvents DeviceColumn As System.Windows.Forms.ColumnHeader
    Friend WithEvents RawDataListBox As System.Windows.Forms.ListBox
    Friend WithEvents StopButton As System.Windows.Forms.Button
    Friend WithEvents StartButton As System.Windows.Forms.Button
    Friend WithEvents SearchButton As System.Windows.Forms.Button
    Friend WithEvents DevicesTab As System.Windows.Forms.TabPage
    Friend WithEvents UseEmulatorRadioButton As System.Windows.Forms.RadioButton
    Friend WithEvents UseDeviceRadioButton As System.Windows.Forms.RadioButton
    Friend WithEvents DevicesListView As System.Windows.Forms.ListView
    Friend WithEvents LocationColumn As System.Windows.Forms.ColumnHeader
    Friend WithEvents ProtocolColumn As System.Windows.Forms.ColumnHeader
    Friend WithEvents DeviceImages As System.Windows.Forms.ImageList
    Friend WithEvents tabControl1 As System.Windows.Forms.TabControl
    Friend WithEvents LocationTab As System.Windows.Forms.TabPage
    Friend WithEvents FixModeLabel As System.Windows.Forms.Label
    Friend WithEvents FixStatusLabel As System.Windows.Forms.Label
    Friend WithEvents SpeedLabel As System.Windows.Forms.Label
    Friend WithEvents AltitudeLabel As System.Windows.Forms.Label
    Friend WithEvents LongitudeLabel As System.Windows.Forms.Label
    Friend WithEvents LatitudeLabel As System.Windows.Forms.Label
    Friend WithEvents SatellitesTab As System.Windows.Forms.TabPage
    Friend WithEvents speedometer1 As GeoFramework.Controls.Speedometer
    Friend WithEvents altimeter1 As GeoFramework.Controls.Altimeter
    Friend WithEvents Interpreter As GeoFramework.Gps.Nmea.NmeaInterpreter

End Class
