Imports GeoFramework.IO
Imports GeoFramework.Gps.Nmea

Public Class DetectingDevicesForm
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' The Devices class is used to get information on available GPS devices.  The
        ' GetDeviceByProtocol(NmeaInterpreter.ProtocolName) property is very useful.  Calling this property  
        ' will automatically perform device detection if it is needed, and the property
        ' returns with the device which is fastest to respond.  Device detection then
        ' continues in the background until the entire computer has been scanned.
        ' 
        ' This is the fastest possible way to obtain a GPS device.
        DevicePropertyGrid.SelectedObject = Devices.GetDeviceByProtocol(NmeaInterpreter.ProtocolName)

    End Sub
End Class