#if PocketPC
using System;
using System.Text;
using System.Runtime.InteropServices;

namespace GeoFramework.IO.HewlettPackard
{
#if !PocketPC && Framework20
    [SuppressUnmanagedCodeSecurity]
#endif
    internal 
#if Framework20
	static
#else
		sealed
#endif
		class NativeMethods
	{
        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQGetModelID", SetLastError = true)]
        public static extern Int32 iPAQGetModelID(StringBuilder c);

        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQGetMainBatteryLevel", SetLastError = true)]
        public static extern Int32 iPAQGetMainBatteryLevel(ref Int32 lpdwLevel);

        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQGetOnBatteryDeviceSuspendTimeOut", SetLastError = true)]
        public static extern Int32 iPAQGetOnBatteryDeviceSuspendTimeOut(ref Int32 lpdwLevel);

        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQSetOnBatteryDeviceSuspendTimeOut", SetLastError = true)]
        public static extern Int32 iPAQSetOnBatteryDeviceSuspendTimeOut(ref Int32 lpdwLevel);

        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQSetBlueToothRadio", SetLastError = true)]
        public static extern Int32 iPAQSetBlueToothRadio(ref Int32 lpdwLevel);

        [DllImport("iPAQUTIL.dll", EntryPoint = "iPAQGetBlueToothRadioStatus", SetLastError = true)]
        public static extern Int32 iPAQGetBlueToothRadioStatus(ref Int32 lpdwLevel);
	}
}
#endif
